<?php

use Illuminate\Support\Facades\Route;
use App\Models\Device;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::get('/devices', function () {
    //return view('deviceList');
    return view('deviceList', [
        'devices' => Device::all()
    ]);
});

Route::get('/devices/{device_id}', function ($device_id) {
    return view('deviceDetail', [
        'device' => Device::find($device_id)
    ]);
});
